Send Interactive Buttons Message

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
šŸ“˜

BSUID Support: A new optional target query parameter has been added. You can now identify the recipient using any of:

ParameterRequiredDescription
whatsappNumberOptional (was required)WhatsApp phone number
targetOptional (new)Polymorphic identifier: Phone Number, Contact ID, or BSUID

Validation: At least one of whatsappNumber or target must be provided. Returns 400 Bad Request if neither is specified.

Target formats:

  • Phone Number: 14155552671
  • Contact ID: 507f1f77bcf86cd799439011
  • BSUID: US.123124141512
Query Params
string
required

WhatsApp Number with country code. Example, 85264318721

Body Params
InteractiveButtonsMessage

Header:
{
"type": "Text or Video or Image or Document",
"text":"header text for type Text",
"media": {
"url":"https://...", // (media obj should be not empty for non Text types)
"fileName": "MyDoc.pdf"} // (this field is only Document type)
}
Buttons:
allowed count: 1-3
Allowed characters length after mapping:
header text: 60
body text: 1024
footer text: 60
button's text: 20
string | null
string | null
header
object
buttons
array of objects | null
buttons
Headers
string
enum
Defaults to text/json

Generated from available request content types

Allowed:
Response
200

Success

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!